var spawn    = require('child_process').spawn
  , path     = require('path')
  , freeport = require('freeport')
  , selenium = path.join(path.dirname(__filename), "selenium-server.jar")
  , chromeDriver = path.join(path.dirname(__filename), "chromedriver");

function startServer(port, cb) {
  console.log('Starting Selenium Server on port ' + port);
  var child = spawn('java', [
    '-Dwebdriver.chrome.driver=' + chromeDriver,
    '-jar', selenium,
    '-port', port,
  ]);
  child.host = '127.0.0.1';
  child.port = port;

  //child.stdout.pipe(process.stdout, { end: false });
  //child.stderr.pipe(process.stderr, { end: false });
  var exitHandler = function() {
    cb(new Error('Could not start Selenium.'));
  }
  child.stdout.on('data', function(data) {
    var sentinal = 'Started org.openqa.jetty.jetty.Server';
    if (data.toString().indexOf(sentinal) != -1) {
      child.removeListener('exit', exitHandler);
      cb(null, child);
    }
  })
  child.on('exit', exitHandler);
}

module.exports = function(cb) {
  freeport(function(error, port) {
    if(error) throw error;
    startServer(port, cb);
  });
}
