var assert = require('assert')
  , webdriver = require('selenium-webdriverjs')
  , launcher = require('../lib/webdriver-launcher');

describe("Simple Google Test", function(){

  it("Should be able to search for webdriver on Google", function(done){
    launcher(function(er, selenium) {
      if (er) return done(er)
      selenium.on('exit', function() { done() })
      var host = 'http://' + selenium.host + ':' + selenium.port;
      var driver = new webdriver.Builder().
        usingServer(host + '/wd/hub').
        withCapabilities({
          'browserName': 'chrome',
          'version': '',
          'platform': 'ANY',
          'javascriptEnabled': true
        }).build();
      driver.get('http://www.google.com');
      driver.findElement(webdriver.By.name('q')).sendKeys('webdriver');
      driver.findElement(webdriver.By.name('btnG')).click();
      driver.getTitle().then(function(title) {
        assert.equal('Google', title);
        selenium.kill();
      });
      driver.quit();
    })
  });

});
